Skip to main content
GET
/
entities
/
site
/
{site_id}
/
flex-events
Get Site Flex Events
curl --request GET \
  --url https://api-sandbox.axle.energy/entities/site/{site_id}/flex-events \
  --header 'Authorization: Bearer <token>'
{
  "site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "events": [
    {
      "start_at": "2023-11-07T05:31:56Z",
      "end_at": "2023-11-07T05:31:56Z",
      "estimated_gross_revenue_gbp": 123,
      "final_gross_revenue_gbp": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.axle.energy/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

site_id
string<uuid>
required

Response

Successful Response

site_id
string<uuid>
required

ID of the site

events
FlexEventResponse · object[]
required

List of flex events the site participated in